<?xml version="1.0" encoding="euc-kr" ?>

<tle>
	<default-request-processor usingIndependentClassPath="true">
		<handler-class-path-array>
			<class-path>c:\temp\classes</class-path>
			<class-path>d:\command\handler\classes</class-path>
			<class-path>a:\common.jar</class-path>
		</handler-class-path-array>
		
		<handler-list>
			<handler id="board" class="tle.board.command.Board" />
			
			<load-handler file="C:\eclipse\workspace\TLE2Framework\config\DefaultRequestProcessor.sub.xml" />
			
			<handler id="pds" class="tle.board.command.PDS" />
		</handler-list>
		
		<!-- defaultProcessing 속성의 값은 GOVIEW 또는 NOHANDLER -->
		<command-handler-mapping defaultHandler="NOHANDLER">
			<mapping commandID="/board/write" handlerID="board" />
			<mapping commandID="/board/read" handlerID="board" />
			<mapping commandID="/guest/list" handlerID="guest" />
			<!-- handlerID 속성의 값이 
			     default.GOVIEW 이거나 default.NOHANDLER 이면 기본 핸들러를 사용한다.
			--> 
			<mapping commandID="/loginForm" handlerID="default.GOVIEW" />
			<mapping commandID="/loginForm1" handlerID="default.NOHANDLER" />
		</command-handler-mapping>
		
	</default-request-processor>
</tle>